---
title: <feMorphology>
slug: Web/SVG/Element/feMorphology
tags:
  - Element
  - NeedsBrowserCompatibility
  - NeedsContent
  - NeedsMobileBrowserCompatibility
  - SVG
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>&lt;feMorphology&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> filter primitive is used to erode or dilate the input image. Its usefulness lies especially in fattening or thinning effects.</span></p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Filter_primitive_attributes">Filter primitive attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("in")}}</li>
 <li>{{SVGAttr("operator")}}</li>
 <li>{{SVGAttr("radius")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGFEMorphologyElement")}} interface.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Filtering_SVG_content">Filtering SVG content</h3>

<h4 id="SVG">SVG</h4>

<pre class="brush: html; highlight[3,6]">&lt;svg xmlns="http://www.w3.org/2000/svg" width="300" height="180"&gt;
  &lt;filter id="erode"&gt;
    &lt;feMorphology operator="erode" radius="1"/&gt;
  &lt;/filter&gt;
  &lt;filter id="dilate"&gt;
    &lt;feMorphology operator="dilate" radius="2"/&gt;
  &lt;/filter&gt;
  &lt;text y="1em"&gt;Normal text&lt;/text&gt;
  &lt;text id="thin" y="2em"&gt;Thinned text&lt;/text&gt;
  &lt;text id="thick" y="3em"&gt;Fattened text&lt;/text&gt;
&lt;/svg&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight[7,11]">text {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 3em;
}

#thin {
  filter: url(#erode);
}

#thick {
  filter: url(#dilate);
}</pre>

<p>{{EmbedLiveSample("Filtering_SVG_content", 340, 180)}}</p>

<h3 id="Filtering_HTML_content">Filtering HTML content</h3>

<h4 id="SVG_2">SVG</h4>

<pre class="brush: html; highlight[3,6]">&lt;svg xmlns="http://www.w3.org/2000/svg" width="0" height="0"&gt;
  &lt;filter id="erode"&gt;
    &lt;feMorphology operator="erode" radius="1"/&gt;
  &lt;/filter&gt;
  &lt;filter id="dilate"&gt;
    &lt;feMorphology operator="dilate" radius="2"/&gt;
  &lt;/filter&gt;
&lt;/svg&gt;

&lt;p&gt;Normal text&lt;/p&gt;
&lt;p id="thin"&gt;Thinned text&lt;/p&gt;
&lt;p id="thick"&gt;Fattened text&lt;/p&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css; highlight[8,12]">p {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 3em;
}

#thin {
  filter: url(#erode);
}

#thick {
  filter: url(#dilate);
}</pre>

<p>{{EmbedLiveSample("Filtering_HTML_content", 340, 180)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#feMorphologyElement", "&lt;feMorphology&gt;")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feMorphologyElement", "&lt;feMorphology&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feMorphology")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("filter")}}</li>
 <li>{{SVGElement("animate")}}</li>
 <li>{{SVGElement("set")}}</li>
 <li>{{SVGElement("feBlend")}}</li>
 <li>{{SVGElement("feColorMatrix")}}</li>
 <li>{{SVGElement("feComponentTransfer")}}</li>
 <li>{{SVGElement("feComposite")}}</li>
 <li>{{SVGElement("feConvolveMatrix")}}</li>
 <li>{{SVGElement("feDiffuseLighting")}}</li>
 <li>{{SVGElement("feDisplacementMap")}}</li>
 <li>{{SVGElement("feFlood")}}</li>
 <li>{{SVGElement("feGaussianBlur")}}</li>
 <li>{{SVGElement("feImage")}}</li>
 <li>{{SVGElement("feMerge")}}</li>
 <li>{{SVGElement("feOffset")}}</li>
 <li>{{SVGElement("feSpecularLighting")}}</li>
 <li>{{SVGElement("feTile")}}</li>
 <li>{{SVGElement("feTurbulence")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/Filter_effects">SVG tutorial: Filter effects</a></li>
</ul>
